# encoding: utf-8
import datetime
from south.db import db
from south.v2 import SchemaMigration
from django.db import models


class Migration(SchemaMigration):

    def forwards(self, orm):
        
        # Changing field 'Termine.nome'
        db.alter_column('glossario_termine', 'nome', self.gf('django.db.models.fields.CharField')(unique=True, max_length=256))

    def backwards(self, orm):
        
        # Changing field 'Termine.nome'
        db.alter_column('glossario_termine', 'nome', self.gf('django.db.models.fields.CharField')(max_length=64, unique=True))

    models = {
        'cms.placeholder': {
            'Meta': {'object_name': 'Placeholder'},
            'default_width': ('django.db.models.fields.PositiveSmallIntegerField', [], {'null': 'True'}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'slot': ('django.db.models.fields.CharField', [], {'max_length': '50', 'db_index': 'True'})
        },
        'glossario.glossario': {
            'Meta': {'ordering': "('nome',)", 'object_name': 'Glossario'},
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'max_length': '64'}),
            'placeholder_ricerca': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_ricerca'", 'null': 'True', 'to': "orm['cms.Placeholder']"}),
            'placeholder_sottotitolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_sottotitolo'", 'null': 'True', 'to': "orm['cms.Placeholder']"}),
            'placeholder_titolo': ('django.db.models.fields.related.ForeignKey', [], {'related_name': "'placeholder_titolo'", 'null': 'True', 'to': "orm['cms.Placeholder']"})
        },
        'glossario.termine': {
            'Meta': {'ordering': "('nome',)", 'object_name': 'Termine'},
            'descrizione': ('django.db.models.fields.TextField', [], {}),
            'glossario': ('django.db.models.fields.related.ForeignKey', [], {'to': "orm['glossario.Glossario']"}),
            'id': ('django.db.models.fields.AutoField', [], {'primary_key': 'True'}),
            'nome': ('django.db.models.fields.CharField', [], {'unique': 'True', 'max_length': '256'})
        }
    }

    complete_apps = ['glossario']
