# -*- coding: utf-8 -*-
'''
Created on 20/lug/2011

@author: simone cittadini
'''
from django.conf import settings
from django.shortcuts import render_to_response
from django import forms

from faq.models import Topic, Question
from django.template.context import RequestContext


def get_nomi_topics():
    output = []
    for t in Topic.objects.all():
        output.append((t.name, t.name))
    return output

class CercaFaqForm(forms.Form):
    query = forms.CharField()
    
class Gadget:

    def __init__(self):
        pass

    def gadget_info(self):
        fields = [
                {'title':'numero di faq mostrate',
                 'id':'num_faq',
                 'type':'text',
                 'value':'1'},
                {'title': 'topic',
                 'id': 'topic',
                 'type': 'choice',
                 'choices': get_nomi_topics(),
                 'value': 'Faq AcomeA'},
                  ]
        return {'name': 'gadget_faq',
                'title': 'Domande e Risposte',
                'description': 'desc faq',
                'colour': 'color-green',
                'icon': '%sidashboard/img/circle.png' % settings.MEDIA_URL,
                'fields': fields}
        
    def view(self, request, dashboard_item):
        configurato = True
        try:
            options = dashboard_item.get_extra_fields()
            num_faq = options['num_faq']
            topic = Topic.objects.get(name=options['topic'])
            cerca_faq_form = CercaFaqForm()
            faqs = Question.objects.filter(topic__exact=topic
                                           ).order_by('?')[0:num_faq]
        except:
            configurato = False
        return render_to_response('idashboard/gadgets/gadget_faq.html',
                                  locals(), RequestContext(request))
