# -*- coding: utf-8 -*-
'''
Created on 20/lug/2011

@author: simone cittadini
'''
from django.conf import settings
from django.shortcuts import render_to_response
from django import forms

from glossario.models import Glossario, Termine
from django.template.context import RequestContext


LETTERE = ('A','B','C','D','E','F','G','H','I','J','K','Y','L','M','N','O','P',
           'Q','R','S','T','U','V','W','X','Z')


def get_nomi_glossari():
    output = []
    for g in Glossario.objects.all():
        output.append((g.nome, g.nome))
    return output


class TermineForm(forms.Form):
    nome = forms.CharField(label="")
    
class Gadget:
    
    def __init__(self):
        pass
    
    def gadget_info(self):
        fields = [
                  {'title': 'glossario',
                   'id': 'glossario',
                   'type': 'choice',
                   'choices': get_nomi_glossari(),
                   'value': 'interni'},
                  ]
        return {'name': 'gadget_glossario',
                'title': 'Come si dice',
                'description': 'desc glossario',
                'colour': 'color-green',
                'icon': '%sidashboard/img/circle.png' % settings.MEDIA_URL,
                'fields': fields}
        
    def view(self, request, dashboard_item):
        configurato = True
        try:
            options = dashboard_item.get_extra_fields()
            glossario = Glossario.objects.get(nome=options['glossario'])
            termine_form = TermineForm()
            lettere = LETTERE
        except Glossario.DoesNotExist:
            configurato = False
        return render_to_response('idashboard/gadgets/gadget_glossario.html',
                                  locals(), RequestContext(request))
