# -*- coding: utf-8 -*-
'''
Created on 19/lug/2011

@author: simone cittadini
'''
from django.conf import settings
from django.shortcuts import render_to_response

from jcmspress.models import AreaPress, Press

def get_nomi_aree():
    output = []
    for a in AreaPress.objects.all():
        output.append((a.nome, a.nome))
    return output

class Gadget:

    def __init__(self):
        pass

    def gadget_info(self):
        fields = [
                {'title':'numero di press mostrate',
                 'id':'num_press',
                 'type':'text',
                 'value':'1'},
                {'title': 'area',
                 'id': 'area_press',
                 'type': 'choice',
                 'choices': get_nomi_aree(),
                 'value': 'interne'},
                  ]
        return {'name': 'gadget_last_press',
                'title': 'Rassegna Stampa',
                'description': 'desc rassegna stampa',
                'colour': 'color-green',
                'icon': '%sidashboard/img/circle.png' % settings.MEDIA_URL,
                'fields': fields}

    def view(self, request, dashboard_item):
        configurato = True
        try:
            options = dashboard_item.get_extra_fields()
            num_press = options['num_press']
            area = AreaPress.objects.get(nome=options['area_press'])
            latest_press = Press.objects.filter(area_press__exact=area)[0:num_press]
        except AreaPress.DoesNotExist:
            configurato = False
        return render_to_response('idashboard/gadgets/gadget_last_press.html',
                                  locals())

