from django.contrib import admin
from cms.admin.placeholderadmin import PlaceholderAdmin

from jumbo.admin.options import OrderedModelAdmin, ExtendibleModelAdmin

from models import DirectoryMetaData

class DirectoryMetaDataAdmin(ExtendibleModelAdmin):
    list_display = ('rpath',
                    'titolo',
                    'sottotitolo',
                    'get_edit_icon', 
                    'get_delete_icon',
                    )

admin.site.register(DirectoryMetaData, DirectoryMetaDataAdmin)
