# -*- coding: utf-8 -*-
'''
Created on 19/ott/2011

@author: simone cittadini
'''
from django.db import models

class SeoData(models.Model):
    """
    Rappresenta i metadati SEO.
    """
    meta_title_tag = models.CharField(max_length=128, blank=True, null=True)
    meta_description_tag = models.TextField(blank=True, null=True)
    meta_keywords_tag = models.CharField(max_length=512, blank=True, null=True)
    
    class Meta:
        abstract = True
